sdl2-config(1)

NAME
sdl2-config - script to get information about the installed version of SDL

SYNOPSIS
sdl2-config [ --prefix= DIR] [ --exec-prefix= DIR] [ --version ] [ --libs | --library-libs | --plugin-libs ] [ --cflags ]

DESCRIPTION
sdl2-config is a tool that is used to configure and determine the compiler and linker flags that should be used to compile and link programs, libraries, and plugins that use SDL. It is also used internally by the m4 macros that are included with SDL.

OPTIONS

--cflags
    Print the compiler flags that are necessary to compile a program or library that uses SDL.

--exec-prefix=DIR
    If specified, use DIR instead of the installation exec prefix that SDL was build with when computing the output for the --cflags, --libs, --library-libs, and --plugin-libs options. This option must be specified before any of the --cflags, --libs, --library-libs, and --plugin-libs options.

--libs
    Print the linker flags that are necessary to link a program that uses SDL.

--static-libs
    Print the linker flags that are necessary to statically link a program that uses SDL.

--library-libs
    Print the linker flags that are necessary to link a library that uses SDL. (This excludes any static objects required for linking, since these must be linked only by executable programs.)

--plugin-libs
    Print the linker flags that are necessary to link an SDL-using object that is to be accessed via dlopen(3). This may include static objects with PIC symbol information. This option should not be used for ordinary shared libraries or standalone applications.

--prefix=DIR
    If specified, use PREFIX instead of the installation prefix that SDL was built with when computing the output for the --cflags, --libs, --library-libs, and --plugin-libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any of the --cflags, --libs, --library-libs, and --plugin-libs options.

--version
    Prints the currently installed version of SDL on standard output.

EXAMPLES

gcc -o main.o $(sdl2-config --cflags) main.c
    is how you might use sdl2-config to compile a C source file for an executable program.

gcc -o my_app $(sdl2-config --libs) main.o util.o
    is how you might use sdl2-config to link compiled objects into an executable program.

gcc -o libSDL_nifty-2.0.so.0.0.1 $(sdl --library-libs) read.o write.o munge.o
    is how you might use sdl2-config to link compiled objects into a shared library.

gcc -o libnifty_xmms.so $(sdl --plugin-libs) stream.o blit.o deinterlace.o
    is how you might use sdl2-config to link compiled objects into a plugin for use by another program.

AUTHOR
The Simple DirectMedia Layer (SDL) library was written by Sam Lantinga.

This manual page was written by Branden Robinson, originally for Progeny Linux Systems, Inc., and the Debian Project.